{
  "content": "(module t4_count_zeros\n  (data List (vars a)\n    (ctor Nil)\n    (ctor Cons a (con List)))\n  (fn count_zeros\n    (type (fn-type (params (con List)) (ret (con Int)))\n    (params xs)\n    (body (match xs\n      (case (pat-ctor Nil) 0)\n      (case (pat-ctor Cons h t) (if (app == h 0) (app + 1 (app count_zeros t)) (app count_zeros t))))))\n  (fn main\n    (type (fn-type (params) (ret (con Unit)) (effects IO)))\n    (params)\n    (body (seq\n      (do io/print_int (app count_zeros (ctor List Nil)))\n      (do io/print_int (app count_zeros (ctor List Cons 0 (ctor List Cons 5 (ctor List Cons 0 (ctor List Cons 3 (ctor List Cons 0 (ctor List Nil))))))))))\n))",
  "usage": {
    "completion_tokens": 212,
    "prompt_tokens": 6920,
    "total_tokens": 7132
  }
}